Update a deduction element type
patch
/hcmRestApi/resources/11.13.18.05/payrollComponentsAndComponentGroups/{DeductionTypeId}/child/DeductionElementTypeRestD/{DeductionElementTypeRestDUniqID}
Request
Path Parameters
-
DeductionElementTypeRestDUniqID(required): string
This is the hash key of the attributes which make up the composite key--- EffectiveEndDate, EffectiveStartDate and ElementTypeId ---for the Deduction Element Type resource and used to uniquely identify an instance of Deduction Element Type. The client should not generate the hash key value. Instead, the client should query on the Deduction Element Type collection resource with a filter on the primary key values in order to navigate to a specific instance of Deduction Element Type.
For example: DeductionElementTypeRestD?q=EffectiveEndDate=<value1>;EffectiveStartDate=<value2>;ElementTypeId=<value3> -
DeductionTypeId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
SystemEffectiveDate: string
(date)
System effective data of the deduction element type.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : payrollComponentsAndComponentGroups-DeductionElementTypeRestD-item-response
Type:
Show Source
object-
BaseDeductionTypeId: integer
(int64)
Read Only:
trueUnique identifier of the base deduction type. -
BaseName: string
Read Only:
trueMaximum Length:240Name of the base deduction type. -
ClassificationName: string
Read Only:
trueMaximum Length:120Classification name of the element type in payroll component. -
DeductionCode: string
Read Only:
trueMaximum Length:240Code that identifies the deduction element type. -
DeductionGroupId: integer
(int64)
Read Only:
trueUnique identifier of the deduction group of the deduction element type. -
DeductionTypeId: integer
(int64)
Read Only:
trueUnique identifier of the deduction type of the deduction element type. -
DeductionTypeIdEO: integer
(int64)
Read Only:
trueUnique identifier of the deduction type. -
DefaultingFormulaId: integer
(int64)
Read Only:
trueUnique identifier of the defaulting formula of the deduction element type. -
Description: string
Read Only:
trueMaximum Length:240Text that describes the deduction element type. -
EffectiveEndDate: string
(date)
Read Only:
trueThe date when the deduction element type ends. -
EffectiveStartDate: string
(date)
Read Only:
trueThe date when the deduction element type starts. -
ElementName: string
Read Only:
trueMaximum Length:80Name of the element of the deduction element type. -
ElementTypeId: integer
(int64)
Read Only:
trueUnique identifier of the element type of the deduction element type. -
EndingTimeDefId: integer
(int64)
Read Only:
trueUnique identifier of the ending time definition of the deduction element type. -
LegislationCode: string
Read Only:
trueMaximum Length:30Code that identifies the legislation. -
LegislationCodeEO: string
Read Only:
trueMaximum Length:30Code that identifies the legislation of the deduction element type. -
LegislativeDataGroupId: integer
(int64)
Read Only:
trueUnique identifier of the legislative data group of the deduction element type. -
LegislativeDataGroupIdEO: integer
(int64)
Read Only:
trueUnique identifier of the legislative data group of the deduction element type. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Read Only:
trueVersion number of the deduction element type. -
ObjectVersionNumberEO: integer
(int32)
Read Only:
trueVersion number of the deduction element type. -
SystemEffectiveDate: string
(date)
System effective data of the deduction element type.
-
ValidationFormulaId: integer
(int64)
Read Only:
trueUnique identifier of the validation formula of the deduction element type. -
ValidationOverrideMessage: string
Read Only:
trueMaximum Length:30Validation override message of the deduction element type.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.